Name:		hfsplus
Version:	2.6.32
Release:	1%{?dist}
Summary:	hfsplust driver
Group:		System Environment/Kernel
License:	GPLv2
URL:		http://www.kernel.org/
# How this source was created:
# 1. Check out the kernel from git
# 2. git archive --format=tar --prefix=hfsplus-2.6.32  v2.6.32 fs/hfsplus | bzip2 - > hfsplus-2.6.3.2.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
BuildRequires: 	%kernel_module_package_buildreqs

%kernel_module_package default

%description
HFS+ module for RHEL 6.

%prep
%setup
set -- *
mkdir source
mv "$@" source
mkdir obj

%build
for flavor in %flavors_to_build ; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor CONFIG_HFSPLUS_FS=m
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor CONFIG_HFSPLUS_FS=m
done

%changelog
* Fri Mar  2 2012 Bill Nottingham <notting@redhat.com> 2.6.32-1
- initial packaging
